## statserial 1.1

=== Makefile ===
CC	= gcc
LD	= gcc

# for debug
#CFLAGS	= -Wall -g
#LDFLAGS = -N

# for production code
CFLAGS	= -Wall -O3 -fomit-frame-pointer
LDFLAGS = -s -N

statserial:	statserial.o
	$(LD) $(LDFLAGS) -o statserial statserial.o -lcurses

statserial.o: statserial.c
	$(CC) $(CFLAGS) -c statserial.c

install: statserial
	install -m 555 statserial /usr/local/bin/statserial
	install -m 444 statserial.1 /usr/local/man/man1/statserial.1

clean:
	$(RM) statserial statserial.o core *~

dist:	statserial.c Makefile statserial.1 README
	$(RM) statserial statserial.o core statserial-1.1.tar.gz *~
	cd .. ; tar -czvf statserial-1.1.tar.gz statserial-1.1

=== debian/changelog ===
statserial (1.1-25) unstable; urgency=low

  [ Aristo Chen ]
  * New maintainer (Closes: #848564)
  * Fix nothing printed if using -n option

  [ Geert Stappers ]
  * Removal of #848564 references from  the -n option patch.
  * Decrease the buffer size that holds the device name.
  * Added  debian/.gitignore so `git` ignores what is generated.
  * Sponsored upload

 -- Aristo Chen <wmchen.aristo@gmail.com>  Fri, 1 May 2020 23:12:00 +0800

statserial (1.1-24) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/patches/40_fix-FTCBFS.patch: created to fix a FTCBFS. Thanks to
    Helmut Grohne <helmut@subdivi.de>. (Closes: #914726)
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Created VCS fields.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform a trivial CI test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Mar 2020 01:00:09 -0300

statserial (1.1-23) unstable; urgency=medium

  * QA upload.
  * Ack for NMU. (Closes: #817679)
  * Set Debian QA Group as maintainer. (see #848564)
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to simplified format.
      - DebSrc to 3.0 format.
  * debian/control:
      - Bumped Standards-Version to 4.1.1.
      - Change priority to optional.
  * debian/dirs: no longer needed. Removed.
  * debian/docs: created to install a document.
  * debian/examples: created to install some examples.
  * debian/patches/:
      - Created three patches to gather the old adjustments, avoiding direct
        changes in upstream source code:
          ~ 10_fix-manpage.patch
          ~ 20_fix-Makefile.patch
          ~ 30_fix-statserial.patch
      - 10_fix-manpage.patch: added a change to describe default device as
        ttyS0, instead of cua. (see #182660, #364480)
      - 20_fix-Makefile: added changes to install files in right places and to
        add GCC hardening.
  * debian/README.debian: useless. Removed.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 05 Oct 2017 19:16:21 -0300

statserial (1.1-22.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped DH level to 10. (Closes: #817679)
  * debian/compat: created.
  * debian/control:
      - Added a ${misc:Depends} variable to Depends field.
      - Added a Homepage field.
      - Bumped Standards-Version to 3.9.8.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 07 Nov 2016 00:01:02 -0200

statserial (1.1-22) unstable; urgency=low

  * Policy compliant up to 3.6.2.0
  * Debhelper compatibility level 4
  * Edited copyright file to fix lintian old-fsf-address-in-copyright-file

 -- Vince Mulhollon <vlm@debian.org>  Fri, 16 Sep 2005 21:24:03 -0500

statserial (1.1-21) unstable; urgency=low

  * Policy compliant up to 3.5.8.0
  * Fixes manpage-has-bad-whatis-entry (Should not double space manpages)
  * Fixes postinst-should-not-set-usr-doc-link

 -- Vince Mulhollon <vlm@debian.org>  Tue, 17 Dec 2002 20:07:29 -0600

statserial (1.1-20) unstable; urgency=low

  * New maintainer (closes: Bug#119092)
  * Policy compliant up to version 3.5.6.0
  * Added build-depends for debhelper
  * Added build-depends for libncurses5-dev
  * Lintian was annoyed at how README.debian described Debian
    as "Debian/GNU Linux" instead of "Debian GNU/Linux"

 -- Vince Mulhollon <vlm@debian.org>  Fri, 21 Dec 2001 19:24:01 -0600

statserial (1.1-19) unstable; urgency=low

  * The "LUG Showoff" Release
  * Updated to Standards-Version 3.1.1 (no changes needed)
  * Recompiled for ncurses5.

 -- Brian Bassett <brianb@debian.org>  Thu, 24 Feb 2000 20:16:08 -0800

statserial (1.1-18) unstable; urgency=low

  * statserial now opens device non-blocking (#34653)

 -- Brian Bassett <brianb@debian.org>  Sat, 12 Jun 1999 14:36:21 -0700

statserial (1.1-17) frozen unstable; urgency=low

  * Recompiled for ncurses4.

 -- Brian Bassett <brianb@debian.org>  Tue,  3 Nov 1998 21:40:04 -0800

statserial (1.1-16) unstable; urgency=low

  * Fixed lintian error.
  * Changed maintainer address.

 -- Brian Bassett <brianb@debian.org>  Fri, 28 Aug 1998 21:50:02 -0700

statserial (1.1-15) unstable; urgency=low

  * Updated to Standards Version 2.4.0.0
  * Switched to debhelper
  * Fixed lintian "old-fsf-address" error

 -- Brian Bassett <brian@butterfly.ml.org>  Mon,  9 Feb 1998 22:33:45 -0800

statserial (1.1-14) unstable; urgency=low

  * New maintainer

 -- Brian Bassett <brian@butterfly.ml.org>  Wed, 12 Nov 1997 22:42:43 -0800

statserial (1.1-13.1) unstable; urgency=low

    * Non-maintainer release.
    * Libc6 compile.
    * Updated from pre 2.0.0.0 standards.

 -- Martin Mitchell <martin@debian.org>  Tue,  4 Nov 1997 03:35:40 +1100

Tue Apr 11 16:22:08 MET DST 1995 Christian Linhart <chris@cosy.sbg.ac.at>

	statserial (1.1-0):

	* Added Debian GNU/Linux package maintenance system files.

Thu Jun 27 10:34:32 MET DST 1996 Christian Linhart <chris@debian.org>

	statserial(1.1-12):
	* Updated debian.rules and debian.control for new packaging
	  standards. This fixes bug#3365.
	* Changed maintainer's email address.
	* Changed description-field to not contain program name.

Tue Jul  9 13:06:44 MET DST 1996 Christian Linhart <chris@debian.org>

        statserial(1.1-13):
	* Added extended description. This fixes bug#3639.

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: statserial
Section: utils
Priority: optional
Maintainer: Aristo Chen <wmchen.aristo@gmail.com>
Uploaders: Geert Stappers <stappers@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12), libncurses5-dev
Rules-Requires-Root: no
Homepage: http://www.oocities.org/jefftranter@rogers.com/
Vcs-Browser: https://salsa.debian.org/debian/statserial
Vcs-Git: https://salsa.debian.org/debian/statserial.git

Package: statserial
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Displays serial port modem status lines
 Statserial displays a table of the signals on a standard 9-pin or
 25-pin serial port, and indicates the status of the handshaking lines.
 It can be useful for debugging problems with serial ports or modems.

=== debian/tests/control ===
Test-Command: statserial -h 2>&1 | grep -i usage

=== debian/watch ===
version=4
http://www.ibiblio.org/pub/Linux/system/serial/statserial-(\d\S+)\.tar\.(?:bz2|gz|xz)
